﻿@{
    Layout = null;
}

<div class="toolbar JbElement-action-bar transparent fg-blue no-margin place-right" ng-if="element.CurrentMode == 'Design'">
    <button title="Edit question" ng-click="JbElement.Operate.Edit.SetAsActiveElement(section,element)"><i class=" icon-pencil"></i></button>
    <button title="Remove question" ng-click="JbElement.Operate.Delete.Element(section,$index)"><i class="icon-cancel-2"></i></button>
</div>
<div class="toolbar JbElement-action-bar transparent fg-blue no-margin place-right" ng-if="element.CurrentMode == 'ReadOnly'">
    <button title="Hide question" ng-click="JbElement.Operate.ToggleHiddenReadOnlyModes(element)" ng-if="JbElement.Operate.CanShowHide(section, element)"><i class="jbi-hide"></i></button>
    <button title="Edit question" ng-click="JbElement.Operate.Edit.SetAsActiveElement(section,element)" ng-if="JbElement.Operate.Edit.CanEdit(section, element)"><i class="icon-pencil"></i></button>
</div>
<div class="toolbar JbElement-action-bar transparent fg-blue no-margin place-right" ng-if="element.CurrentMode == 'Hidden'">
    <button title="Show question" ng-click="JbElement.Operate.ToggleHiddenReadOnlyModes(element)" ng-if="JbElement.Operate.CanShowHide(section, element)"><i class="jbi-show"></i></button>
</div>